summaryrefslogtreecommitdiff
path: root/recipes-core/multitech/cell-radio-carrierswitch/cell-radio-carrierswitch.init
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2017-08-31 18:28:00 -0500
committerJohn Klug <john.klug@multitech.com>2017-08-31 18:28:00 -0500
commit059c1482875feb1d57fd679e8fc2d27c6f9e63d1 (patch)
treead85be28d3d6f327687e5872d42e7d8d96942414 /recipes-core/multitech/cell-radio-carrierswitch/cell-radio-carrierswitch.init
parente1173c3263359176022a08fe83de7c77435fedf0 (diff)
downloadmeta-mlinux-059c1482875feb1d57fd679e8fc2d27c6f9e63d1.tar.gz
meta-mlinux-059c1482875feb1d57fd679e8fc2d27c6f9e63d1.tar.bz2
meta-mlinux-059c1482875feb1d57fd679e8fc2d27c6f9e63d1.zip
Add the carrierswitch stuff during boot for mtcap
Diffstat (limited to 'recipes-core/multitech/cell-radio-carrierswitch/cell-radio-carrierswitch.init')
-rw-r--r--recipes-core/multitech/cell-radio-carrierswitch/cell-radio-carrierswitch.init26
1 files changed, 26 insertions, 0 deletions
diff --git a/recipes-core/multitech/cell-radio-carrierswitch/cell-radio-carrierswitch.init b/recipes-core/multitech/cell-radio-carrierswitch/cell-radio-carrierswitch.init
new file mode 100644
index 0000000..32b8d0d
--- /dev/null
+++ b/recipes-core/multitech/cell-radio-carrierswitch/cell-radio-carrierswitch.init
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# no firmware switch by default
+ENABLED="no"
+
+[ -r /etc/default/cell-radio-fwswitch ] && source /etc/default/cell-radio-fwswitch
+[ "$ENABLED" == "yes" ] || exit 0
+
+# It may take a couple of boots to get the APN straightened out.
+# mlinux-switch-apn is only effective for LNA3. It will only
+# take action if it detects a different SIM from the one
+# that is configured. It requires a RADIO that is active.
+# The script is executed in the background to prevent holding up the
+# boot.
+
+case $1 in
+ start)
+ (/usr/sbin/mlinux-switch-apn 2>&1 | logger -p daemon.notice) &
+ ;;
+
+ *)
+ echo "Usage: $0 {start}"
+ exit 2
+ ;;
+esac
+